<template>
  <div class="homepage">
    <TheGreeting class="homepage__greeting" />
    <div class="homepage__section">
      ABOUT
    </div>
    <SectionAbout />
    <div class="homepage__section">
      CONTACT
    </div>
    <SectionContact />
  </div>
</template>

<script setup lang="ts">
const numberOfPosts: number = 5;
</script>

<style lang="scss" scoped>
@import "assets/styles/_variables.scss";
.homepage {
  max-width: $website-max-width;
  display: grid;
  grid-template-columns: 1fr 3fr;
  grid-template-rows: auto;
  grid-row-gap: 120px;
  margin-bottom: 120px;
  &__greeting {
    grid-column: 1 / span 2;
  }
  &__section {
    color: $secondary-color;
  }
  @media screen and (max-width: $small-screen-width) {
    display: flex;
    flex-direction: column;
    &__section {
      display: none;
    }
  }
}
.blog-post__link {
  display: flex;
  justify-content: center;
  margin-top: 1em;
  font-family: "Sequel-45";
  font-size: 1rem;
  text-decoration: underline;
  text-underline-offset: 10px;
}
</style>
